Package org.apache.qpid.proton.engine.impl.ssl

# Class SslPeerDetailsImpl

java.lang.Object
org.apache.qpid.proton.engine.impl.ssl.SslPeerDetailsImpl

All Implemented Interfaces:
  `ProtonJSslPeerDetails`, `SslPeerDetails`

public class SslPeerDetailsImpl extends Object implements ProtonJSslPeerDetails

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.SslPeerDetails

`SslPeerDetails.Factory`

## Constructor Summary

Constructors
Constructor
Description
`SslPeerDetailsImpl(String hostname, int port)`
Application code should use `SslPeerDetails.Factory.create(String, int)` instead.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHostname()`
`int`
`getPort()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SslPeerDetailsImpl

public SslPeerDetailsImpl(String hostname, int port)
Application code should use `SslPeerDetails.Factory.create(String, int)` instead.

## Method Details

### getHostname

public String getHostname()

Specified by:
  `getHostname` in interface `SslPeerDetails`

### getPort

public int getPort()

Specified by:
  `getPort` in interface `SslPeerDetails`